## ros-foxy-demo-nodes-py 0.9.4

=== debian/changelog ===
ros-foxy-demo-nodes-py (0.9.4-1focal) focal; urgency=high

  * Update maintainer list for Foxy (#471 <https://github.com/ros2/demos/issues/471>)
  * Contributors: Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jul 2022 07:00:00 -0000

ros-foxy-demo-nodes-py (0.9.3-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-foxy-demo-nodes-py (0.9.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-demo-nodes-py (0.9.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 12 May 2020 07:00:00 -0000

ros-foxy-demo-nodes-py (0.9.0-1focal) focal; urgency=high

  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-foxy-demo-nodes-py (0.8.4-1focal) focal; urgency=high

  * Make demos handle SIGINT gracefully. (#377 <https://github.com/ros2/demos/issues/377>)
  * Contributors: Michel Hidalgo

 -- Michael Carroll <michael@openrobotics.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-foxy-demo-nodes-py (0.8.3-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Mon, 11 Nov 2019 08:00:00 -0000

ros-foxy-demo-nodes-py (0.8.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 08 Nov 2019 08:00:00 -0000

ros-foxy-demo-nodes-py (0.8.1-1focal) focal; urgency=high

  * Prevent argparse from parsing ROS args in Python demo nodes. (#396 <https://github.com/ros2/demos/issues/396>)
  * Update setup.py versions
  * Contributors: Jacob Perron, Michel Hidalgo

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-demo-nodes-py (0.8.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-foxy-demo-nodes-py (0.7.6-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 30 May 2019 07:00:00 -0000

ros-foxy-demo-nodes-py (0.7.5-1focal) focal; urgency=high

  * Fix reliable option for Python QoS demo (#352 <https://github.com/ros2/demos/issues/352>)
  * Contributors: Jacob Perron

 -- Michael Carroll <michael@openrobotics.org>  Wed, 29 May 2019 07:00:00 -0000

ros-foxy-demo-nodes-py (0.7.4-1focal) focal; urgency=high

  * Fix deprecation warnings (#334 <https://github.com/ros2/demos/issues/334>)
  * Contributors: Jacob Perron

 -- Michael Carroll <michael@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-foxy-demo-nodes-py (0.7.3-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 10 May 2019 07:00:00 -0000

ros-foxy-demo-nodes-py (0.7.2-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-foxy-demo-nodes-py (0.7.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 26 Apr 2019 07:00:00 -0000

ros-foxy-demo-nodes-py (0.7.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-foxy-demo-nodes-py (0.6.2-1focal) focal; urgency=high

  * Added serialized listener demo for python (#287 <https://github.com/ros2/demos/issues/287>)
  * Contributors: Joseph Duchesne

 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Jan 2019 08:00:00 -0000

ros-foxy-demo-nodes-py (0.6.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-foxy-demo-nodes-py (0.6.0-1focal) focal; urgency=high

  * Updated package maintainer. (#286 <https://github.com/ros2/demos/issues/286>)
  * Removed now redundant args=sys.argv (#274 <https://github.com/ros2/demos/issues/274>)
  * Contributors: Michael Carroll, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 07 Dec 2018 08:00:00 -0000

ros-foxy-demo-nodes-py (0.5.1-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-foxy-demo-nodes-py (0.5.0-1focal) focal; urgency=high

  * Updated demos so that they support remapping arguments to python nodes by passing arguments to rclpy from argparse. (#252 <https://github.com/ros2/demos/issues/252> and #253 <https://github.com/ros2/demos/issues/253>)
  * Updated client demo to handle multiple requests. (#228 <https://github.com/ros2/demos/issues/228>)
  * Contributors: Dirk Thomas, Mikael Arguedas, Shane Loretz, dhood

 -- Michael Carroll <michael@openrobotics.org>  Wed, 27 Jun 2018 07:00:00 -0000
